UbuntuUpdates.org

Package "nss"

Name: nss

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • Network Security Service tools

Latest version: 2:3.68-1ubuntu1.2
Release: impish (21.10)
Level: security
Repository: universe

Links



Other versions of "nss" in Impish

Repository Area Version
base main 2:3.68-1ubuntu1
base universe 2:3.68-1ubuntu1
security main 2:3.68-1ubuntu1.2
updates main 2:3.68-1ubuntu1.2
updates universe 2:3.68-1ubuntu1.2

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 2:3.68-1ubuntu1.2 2022-07-07 14:06:43 UTC

  nss (2:3.68-1ubuntu1.2) impish-security; urgency=medium

  * SECURITY UPDATE: Crash when handling empty pkcs7 sequence
    - debian/patches/CVE-2022-22747.patch: check for missing signedData
      field in nss/gtests/certdb_gtest/decode_certs_unittest.cc,
      nss/lib/pkcs7/certread.c.
    - CVE-2022-22747
  * SECURITY UPDATE: Free of uninitialized pointer in lg_init
    - debian/patches/CVE-2022-34480.patch: rearrange frees in
      nss/lib/softoken/legacydb/lginit.c.
    - CVE-2022-34480

 -- Marc Deslauriers <email address hidden> Wed, 06 Jul 2022 07:22:18 -0400

Source diff to previous version

Version: 2:3.68-1ubuntu1.1 2021-12-01 18:07:09 UTC

  nss (2:3.68-1ubuntu1.1) impish-security; urgency=medium

  * SECURITY UPDATE: heap overflow when verifying DSA/RSA-PSS DER-encoded
    signatures
    - debian/patches/CVE-2021-43527.patch: check signature lengths in
      nss/lib/cryptohi/secvfy.c.
    - CVE-2021-43527

 -- Marc Deslauriers <email address hidden> Mon, 29 Nov 2021 07:12:54 -0500

CVE-2021-43527 Heap overflow in NSS when verifying DSA/RSA-PSS DER-encoded signatures



About   -   Send Feedback to @ubuntu_updates